[PATCH] D16548: Ignore LC_CTYPE in sed invocation on Darwin

Elias Pipping via llvm-commits llvm-commits at lists.llvm.org
Tue Jan 26 04:47:31 PST 2016


pipping.elias updated this revision to Diff 45975.
pipping.elias added a comment.

Limit of 80 characters per line now respected!


http://reviews.llvm.org/D16548

Files:
  test-release.sh

Index: test-release.sh
===================================================================
--- test-release.sh
+++ test-release.sh
@@ -541,8 +541,9 @@
             # Substitute 'Phase2' for 'Phase3' in the Phase 2 object file in
             # case there are build paths in the debug info. On some systems,
             # sed adds a newline to the output, so pass $p3 through sed too.
-            if ! cmp -s <(sed -e 's,Phase2,Phase3,g' $p2) <(sed -e '' $p3) \
-                    16 16 ; then
+            if ! cmp -s \
+                <(env LC_CTYPE=C sed -e 's,Phase2,Phase3,g' $p2) \
+                <(env LC_CTYPE=C sed -e '' $p3) 16 16; then
                 echo "file `basename $p2` differs between phase 2 and phase 3"
             fi
         done


-------------- next part --------------
A non-text attachment was scrubbed...
Name: D16548.45975.patch
Type: text/x-patch
Size: 763 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20160126/ee5667b5/attachment.bin>


More information about the llvm-commits mailing list